Module java.xml
Package javax.xml.xpath

# Class XPathFactoryConfigurationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.xml.xpath.XPathException
javax.xml.xpath.XPathFactoryConfigurationException

All Implemented Interfaces:
  `Serializable`

public class XPathFactoryConfigurationException extends XPathException
`XPathFactoryConfigurationException` represents a configuration error in a `XPathFactory` environment.

Since:
  1.5
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XPathFactoryConfigurationException(String message)`
  Constructs a new `XPathFactoryConfigurationException` with the specified detail `message`.
  `XPathFactoryConfigurationException(Throwable cause)`
  Constructs a new `XPathFactoryConfigurationException` with the specified `cause`.

- ## Method Summary

  ### Methods declared in class javax.xml.xpath.XPathException

  `getCause, printStackTrace, printStackTrace, printStackTrace`

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### XPathFactoryConfigurationException

    public XPathFactoryConfigurationException(String message)
    Constructs a new `XPathFactoryConfigurationException` with the specified detail `message`.

    The `cause` is not initialized.

    If `message` is `null`, then a `NullPointerException` is thrown.

    Parameters:
      `message` - The detail message.
    Throws:
      `NullPointerException` - When `message` is `null`.

  - ### XPathFactoryConfigurationException

    public XPathFactoryConfigurationException(Throwable cause)
    Constructs a new `XPathFactoryConfigurationException` with the specified `cause`.

    If `cause` is `null`, then a `NullPointerException` is thrown.

    Parameters:
      `cause` - The cause.
    Throws:
      `NullPointerException` - if `cause` is `null`.